## org.apache.mahout.cf.taste.common
Class NoSuchItemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.mahout.cf.taste.common.TasteException
                  org.apache.mahout.cf.taste.common.NoSuchItemException

All Implemented Interfaces:
  Serializable

    public final class NoSuchItemException

extends TasteException

See Also:
  Serialized Form

Constructor Summary
`NoSuchItemException()`
`NoSuchItemException(long itemID)`
`NoSuchItemException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchItemException

    public NoSuchItemException()

### NoSuchItemException

    public NoSuchItemException(long itemID)

### NoSuchItemException

    public NoSuchItemException(String message)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.